---

#! jobs/stress-ng-filesystem-1SSD.yaml
suite: stress-ng
testcase: stress-ng
category: benchmark
nr_threads: 10%
disk: 1SSD
testtime: 60s
fs: btrfs
stress-ng:
  class: filesystem
  test: ioprio
job_origin: stress-ng-filesystem-1SSD.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-skl-d08
tbox_group: lkp-skl-d08
submit_id: 65b05a4aeea7c9d1fdf02bfa
job_file: "/lkp/jobs/scheduled/lkp-skl-d08/stress-ng-filesystem-performance-1SSD-btrfs-10%-ioprio-60s-debian-11.1-x86_64-20220510.cgz-3ee56a58ad89-20240124-53757-1p2basu-2.yaml"
id: 7847a7173f1809d4894aee3e4b0480135be0125c
queuer_version: "/zday/lkp"

#! /db/releases/20240122233436/lkp-src/hosts/lkp-skl-d08
model: Skylake
nr_node: 1
nr_cpu: 36
memory: 32G
nr_ssd_partitions: 3
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NC1P0B-part*"
rootfs_partition: "/dev/disk/by-id/ata-CT500MX500SSD1_2043E4BD593B-part3"
brand: Intel(R) Core(TM) i9-9980XE CPU @ 3.00GHz

#! /db/releases/20240122233436/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- BLK_DEV_SD
- SCSI
- BLOCK: y
- SATA_AHCI
- SATA_AHCI_PLATFORM
- ATA
- PCI: y
- BTRFS_FS
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! /db/releases/20240122233436/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /db/releases/20240122233436/lkp-src/include/disk/nr_ssd

#! /db/releases/20240122233436/lkp-src/include/stress-ng

#! /db/releases/20240122233436/lkp-src/include/queue/cyclic
commit: 3ee56a58ad8921cb43c49d56347a8e270871844c

#! /db/releases/20240122233436/lkp-src/include/testbox/lkp-skl-d08
netconsole_port: 6682
ucode: '0x2007006'

#! /db/releases/20240122233436/lkp-src/include/fs/OTHERS
kconfig: x86_64-rhel-8.3
enqueue_time: 2024-01-24 08:31:06.824173277 +08:00
_id: 65b073b5eea7c9d1fdf02bfc
_rt: "/result/stress-ng/filesystem-performance-1SSD-btrfs-10%-ioprio-60s/lkp-skl-d08/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/3ee56a58ad8921cb43c49d56347a8e270871844c"
compiler: gcc-12
head_commit: 691d2aa44c726ca267e79dfb55f9b7cccea31695
base_commit: 0dd3ee31125508cd67f7e7172247f05b7fd1753a
branch: linux-devel/devel-hourly-20240121-160109
rootfs: debian-11.1-x86_64-20220510.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/src"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-11.1-x86_64-20220510.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/stress-ng/filesystem-performance-1SSD-btrfs-10%-ioprio-60s/lkp-skl-d08/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/3ee56a58ad8921cb43c49d56347a8e270871844c/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-12/3ee56a58ad8921cb43c49d56347a8e270871844c/vmlinuz-6.6.0-rc5-00124-g3ee56a58ad89
- branch=linux-devel/devel-hourly-20240121-160109
- job=/lkp/jobs/scheduled/lkp-skl-d08/stress-ng-filesystem-performance-1SSD-btrfs-10%-ioprio-60s-debian-11.1-x86_64-20220510.cgz-3ee56a58ad89-20240124-53757-1p2basu-2.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=3ee56a58ad8921cb43c49d56347a8e270871844c
- nmi_watchdog=0
- max_uptime=2100
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-12/3ee56a58ad8921cb43c49d56347a8e270871844c/modules.cgz"
bm_initrd: "/osimage/deps/debian-11.1-x86_64-20220510.cgz/run-ipconfig_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/lkp_20220513.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/rsync-rootfs_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/fs_20220526.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/stress-ng_20240112.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/stress-ng-x86_64-1744999cb-1_20240112.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/mpstat_20220516.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/turbostat_20220514.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/turbostat-x86_64-210e04ff7681-1_20220518.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/perf_20230522.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/perf-x86_64-00c7b5f4ddc5-1_20230402.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/sar-x86_64-c5bb321-1_20220518.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/hw_20220526.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: lkp-wsx01

#! /db/releases/20240123162854/lkp-src/include/site/lkp-wsx01
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-skl-d08/stress-ng-filesystem-performance-1SSD-btrfs-10%-ioprio-60s-debian-11.1-x86_64-20220510.cgz-3ee56a58ad89-20240124-53757-1p2basu-2.cgz"
last_kernel: 6.7.0-10210-g691d2aa44c72
acpi_rsdp: '0x000f05b0'
repeat_to: 3

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-12/3ee56a58ad8921cb43c49d56347a8e270871844c/vmlinuz-6.6.0-rc5-00124-g3ee56a58ad89"
result_root: "/result/stress-ng/filesystem-performance-1SSD-btrfs-10%-ioprio-60s/lkp-skl-d08/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/3ee56a58ad8921cb43c49d56347a8e270871844c/0"
dequeue_time: 2024-01-24 10:22:22.843951736 +08:00
job_state: finished
loadavg: 1.55 0.79 0.30 1/463 5300
start_time: '1706063018'
end_time: '1706063080'
version: "/lkp/lkp/.src-20240116-165509:892542e0bf87:dce7f1e2c2c6"
